<h1 mat-dialog-title *ngIf="action ==='Add';"> <strong>Add </strong> Log</h1>
<div mat-dialog-content *ngIf="action ==='Add';">
  <mat-form-field >
    <input placeholder="Title" matInput [(ngModel)]="local_data.title">
  </mat-form-field>
  <mat-form-field>
    <input placeholder="Description" matInput [(ngModel)]="local_data.description">
  </mat-form-field>
  <mat-form-field>
    <input placeholder="Path" matInput [(ngModel)]="local_data.path">
  </mat-form-field>
  <mat-form-field>
    <input #status_code placeholder="Status Code" matInput [(ngModel)]="local_data.status_code" maxlength="3">
    <mat-hint align="end">{{status_code.value.length}} / 3</mat-hint>
  </mat-form-field>
</div>

<h1 mat-dialog-title *ngIf="action ==='View';"> <strong>View </strong> Log</h1>
<div mat-dialog-content *ngIf="action ==='View';">
  <h3>ID</h3>
  <p>{{this.log_data._id}}</p>

  <h3>Title</h3>
    <p>{{this.log_data.title}}</p>


  <h3>Description</h3>
  <p>{{this.log_data.description}}</p>

  <h3>Path</h3>
  <p>{{this.log_data.path}}</p>

  <h3>Status Code</h3>
  <p>{{this.log_data.status_code}}</p>

  <h3>Created At</h3>
  <p>{{this.log_data.createdAt}}</p>
</div>

<div mat-dialog-actions>
  <button *ngIf="action ==='Add';" mat-button mat-flat-button color="primary" (click)="doAction()">Add</button>
  <button mat-button (click)="closeDialog()" mat-flat-button color="warn">Cancel</button>
</div>
